Table of Contents

## Name

glDepthMask - enable or disable writing into the depth buffer

## C Specification

void glDepthMask( GLboolean flag )

## Parameters

flag
  Specifies whether the depth buffer is enabled for writing. If flag is GL_FALSE, depth buffer writing is disabled. Otherwise, it is enabled. Initially, depth buffer writing is enabled.

## Description

glDepthMask specifies whether the depth buffer is enabled for writing. If flag is GL_FALSE, depth buffer writing is disabled. Otherwise, it is enabled. Initially, depth buffer writing is enabled.

## Errors

GL_INVALID_OPERATION is generated if glDepthMask is executed between the execution of glBegin and the corresponding execution of glEnd.

## Associated Gets

glGet with argument GL_DEPTH_WRITEMASK

## See Also

glColorMask(3G) , glDepthFunc(3G) , glDepthRange(3G) , glIndexMask(3G) , glStencilMask(3G)

Table of Contents

- Name
- C Specification
- Parameters
- Description
- Errors
- Associated Gets
- See Also